
package eu.dnetlib.dhp.skgif.model;

import java.io.Serializable;

/**
 * @author miriam.baglioni
 * @Date 05/09/23
 */
public enum RelationType implements Serializable {
	RESULT_OUTCOME_FUNDING("isProducedBy"), RESULT_AFFILIATIED_TO_ORGANIZATION(
		"hasAuthorInstitution"), DATASOURCE_PROVIDED_BY_ORGANIZATION(
			"isProvidedBy"), PROJECT_HAS_PARTICIPANT_ORGANIZATION("hasParticipant"), SUPPLEMENT(
				"IsSupplementedBy"), DOCUMENTS(
					"IsDocumentedBy"), PART("IsPartOf"), VERSION(
						"IsNewVersionOf"), CITATION("Cites"), ORGANIZATION_PARTICIPANT_IN_PROJECT("isParticipant");

	public final String label;

	private RelationType(String label) {
		this.label = label;
	}
}
